<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:22 CEST 2019 -->
<title>GDSException (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GDSException (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/GDSExceptionHelper.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/GDSException.html" target="_top">Frames</a></li>
<li><a href="GDSException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Class GDSException" class="title">Class GDSException</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">java.lang.Throwable</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">java.lang.Exception</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.GDSException</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/GDSServerVersionException.html" title="class in org.firebirdsql.gds.impl">GDSServerVersionException</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GDSException</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<div class="block">A GDS-specific exception</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#org.firebirdsql.gds.GDSException">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-int-">GDSException</a></span>(int&nbsp;fbErrorCode)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-int-int-">GDSException</a></span>(int&nbsp;type,
            int&nbsp;intParam)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-int-int-java.lang.String-">GDSException</a></span>(int&nbsp;type,
            int&nbsp;fbErrorCode,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;strParam)</code>
<div class="block">Construct instance of this class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-int-int-java.lang.String-java.lang.Throwable-">GDSException</a></span>(int&nbsp;type,
            int&nbsp;fbErrorCode,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;strParam,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;cause)</code>
<div class="block">Construct instance of this class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-int-java.lang.String-">GDSException</a></span>(int&nbsp;type,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;strParam)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-int-java.lang.Throwable-">GDSException</a></span>(int&nbsp;fbErrorCode,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;cause)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#GDSException-java.lang.String-">GDSException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Create a new instance with only a simple message.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#createWithXAErrorCode-java.lang.String-int-">createWithXAErrorCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                     int&nbsp;xaErrorCode)</code>
<div class="block">Factory method to create a new instance with a given <code>XA</code>
 error code.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getFbErrorCode--">getFbErrorCode</a></span>()</code>
<div class="block">Get the Firebird-specific error code for this exception.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getIntParam--">getIntParam</a></span>()</code>
<div class="block">Get the <code>int</code> parameter for this exception.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getMessage--">getMessage</a></span>()</code>
<div class="block">Returns a string representation of this exception.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getNext--">getNext</a></span>()</code>
<div class="block">Get the next chained exception.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getParam--">getParam</a></span>()</code>
<div class="block">Returns the parameter depending on the type of the error code.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getSQLState--">getSQLState</a></span>()</code>
<div class="block">Get the SQL state of this exception.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#getXAErrorCode--">getXAErrorCode</a></span>()</code>
<div class="block">Get the XaErrorCode value.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#isWarning--">isWarning</a></span>()</code>
<div class="block">Retrieve whether this exception is a warning.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#setNext-org.firebirdsql.gds.GDSException-">setNext</a></span>(<a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a>&nbsp;e)</code>
<div class="block">Set the next exception in the chain.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/GDSException.html#setXAErrorCode-int-">setXAErrorCode</a></span>(int&nbsp;xaErrorCode)</code>
<div class="block">Set the XaErrorCode value.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Throwable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#addSuppressed-java.lang.Throwable-" title="class or interface in java.lang">addSuppressed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#fillInStackTrace--" title="class or interface in java.lang">fillInStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getCause--" title="class or interface in java.lang">getCause</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getLocalizedMessage--" title="class or interface in java.lang">getLocalizedMessage</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getStackTrace--" title="class or interface in java.lang">getStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getSuppressed--" title="class or interface in java.lang">getSuppressed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#initCause-java.lang.Throwable-" title="class or interface in java.lang">initCause</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#printStackTrace--" title="class or interface in java.lang">printStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#printStackTrace-java.io.PrintStream-" title="class or interface in java.lang">printStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#printStackTrace-java.io.PrintWriter-" title="class or interface in java.lang">printStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#setStackTrace-java.lang.StackTraceElement:A-" title="class or interface in java.lang">setStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GDSException-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(int&nbsp;type,
                    int&nbsp;intParam)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type of the exception, should be always 
        <a href="../../../org/firebirdsql/gds/ISCConstants.html#isc_arg_gds"><code>ISCConstants.isc_arg_gds</code></a>, otherwise no message will be 
        displayed.</dd>
<dd><code>intParam</code> - Additional int parameter about the new exception</dd>
</dl>
</li>
</ul>
<a name="GDSException-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(int&nbsp;type,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;strParam)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type of the exception, should be always 
        <a href="../../../org/firebirdsql/gds/ISCConstants.html#isc_arg_gds"><code>ISCConstants.isc_arg_gds</code></a>, otherwise no message will be 
        displayed.</dd>
<dd><code>strParam</code> - value of the string parameter that will substitute 
        <code>{0}</code> entry in error message corresponding to the 
        specified error code.</dd>
</dl>
</li>
</ul>
<a name="GDSException-int-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(int&nbsp;type,
                    int&nbsp;fbErrorCode,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;strParam)</pre>
<div class="block">Construct instance of this class. This method correctly constructs
 chain of exceptions for one string parameter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type of the exception, should be always 
 <a href="../../../org/firebirdsql/gds/ISCConstants.html#isc_arg_gds"><code>ISCConstants.isc_arg_gds</code></a>, otherwise no message will be displayed.</dd>
<dd><code>fbErrorCode</code> - Firebird error code, one of the constants declared in <a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><code>ISCConstants</code></a></dd>
<dd><code>strParam</code> - value of the string parameter that will substitute 
 <code>{0}</code> entry in error message corresponding to the specified
 error code.</dd>
</dl>
</li>
</ul>
<a name="GDSException-int-int-java.lang.String-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(int&nbsp;type,
                    int&nbsp;fbErrorCode,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;strParam,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;cause)</pre>
<div class="block">Construct instance of this class. This method correctly constructs
 chain of exceptions for one string parameter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type of the exception, should be always 
 <a href="../../../org/firebirdsql/gds/ISCConstants.html#isc_arg_gds"><code>ISCConstants.isc_arg_gds</code></a>, otherwise no message will be displayed.</dd>
<dd><code>fbErrorCode</code> - Firebird error code, one of the constants declared in <a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><code>ISCConstants</code></a></dd>
<dd><code>strParam</code> - value of the string parameter that will substitute 
 <code>{0}</code> entry in error message corresponding to the specified
 error code.</dd>
<dd><code>cause</code> - Cause of this exception</dd>
</dl>
</li>
</ul>
<a name="GDSException-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(int&nbsp;fbErrorCode)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fbErrorCode</code> - Firebird error code, one of the constants declared in <a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><code>ISCConstants</code></a></dd>
</dl>
</li>
</ul>
<a name="GDSException-int-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(int&nbsp;fbErrorCode,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;cause)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fbErrorCode</code> - Firebird error code, one of the constants declared in <a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><code>ISCConstants</code></a></dd>
<dd><code>cause</code> - Cause of this exception</dd>
</dl>
</li>
</ul>
<a name="GDSException-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GDSException</h4>
<pre>public&nbsp;GDSException(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Create a new instance with only a simple message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - Message for the new exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createWithXAErrorCode-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWithXAErrorCode</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a>&nbsp;createWithXAErrorCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                                                 int&nbsp;xaErrorCode)</pre>
<div class="block">Factory method to create a new instance with a given <code>XA</code>
 error code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - Message for the new instance</dd>
<dd><code>xaErrorCode</code> - The <code>XA</code> error code</dd>
</dl>
</li>
</ul>
<a name="getFbErrorCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFbErrorCode</h4>
<pre>public&nbsp;int&nbsp;getFbErrorCode()</pre>
<div class="block">Get the Firebird-specific error code for this exception.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Firebird error code</dd>
</dl>
</li>
</ul>
<a name="getSQLState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSQLState</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSQLState()</pre>
<div class="block">Get the SQL state of this exception.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the SQL state of this exception or <code>null</code> if this 
 object does not represent an error.</dd>
</dl>
</li>
</ul>
<a name="getIntParam--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntParam</h4>
<pre>public&nbsp;int&nbsp;getIntParam()</pre>
<div class="block">Get the <code>int</code> parameter for this exception.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>int</code> parameter</dd>
</dl>
</li>
</ul>
<a name="getXAErrorCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXAErrorCode</h4>
<pre>public&nbsp;int&nbsp;getXAErrorCode()</pre>
<div class="block">Get the XaErrorCode value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the XaErrorCode value.</dd>
</dl>
</li>
</ul>
<a name="setXAErrorCode-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXAErrorCode</h4>
<pre>public&nbsp;void&nbsp;setXAErrorCode(int&nbsp;xaErrorCode)</pre>
<div class="block">Set the XaErrorCode value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xaErrorCode</code> - The new XaErrorCode value.</dd>
</dl>
</li>
</ul>
<a name="setNext-org.firebirdsql.gds.GDSException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNext</h4>
<pre>public&nbsp;void&nbsp;setNext(<a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a>&nbsp;e)</pre>
<div class="block">Set the next exception in the chain.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - The next chained exception</dd>
</dl>
</li>
</ul>
<a name="getNext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNext</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a>&nbsp;getNext()</pre>
<div class="block">Get the next chained exception.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The next chained exception</dd>
</dl>
</li>
</ul>
<a name="isWarning--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWarning</h4>
<pre>public&nbsp;boolean&nbsp;isWarning()</pre>
<div class="block">Retrieve whether this exception is a warning.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this is a warning, 
         <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessage</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMessage()</pre>
<div class="block">Returns a string representation of this exception.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getMessage--" title="class or interface in java.lang">getMessage</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
<a name="getParam--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getParam</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getParam()</pre>
<div class="block">Returns the parameter depending on the type of the error code.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/GDSExceptionHelper.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/GDSException.html" target="_top">Frames</a></li>
<li><a href="GDSException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
